"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_state_connect_1 = __importDefault(require("react-state-connect"));
var rest_store_1 = __importDefault(require("./lib/rest-store"));
var fetch_transport_1 = __importDefault(require("./lib/fetch-transport"));
/**
 * @param View
 * @param containerOrApi If a string is given then a new state container will be created and
 *   connected to the view. If you call the method again you'll end up with 2 containers that
 *   query the same API. If you want to have a single container connected to multiple views
 *   then create a container separately and pass it here.
 * @param prop
 */
function connectToRest(View, containerOrApi, prop) {
    if (typeof containerOrApi === 'string') {
        return react_state_connect_1.default(View, new rest_store_1.default(containerOrApi, fetch_transport_1.default), prop);
    }
    return react_state_connect_1.default(View, containerOrApi, prop);
}
exports.default = connectToRest;
//# sourceMappingURL=connect.js.map