"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FetchTransport = {
    get: function (path) {
        // @ts-ignore
        return fetch(path).then(function (resp) { return resp.json(); });
    },
    post: function (path, body) {
        return doFetchWithBody(path, body, 'POST');
    },
    patch: function (path, body) {
        return doFetchWithBody(path, body, 'PATCH');
    }
};
function doFetchWithBody(path, body, method) {
    return fetch(path, {
        method: method,
        headers: {
            Accept: 'application/json',
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(body)
    }).then(function (resp) { return resp.json(); });
}
exports.default = FetchTransport;
//# sourceMappingURL=fetch-transport.js.map