import { StateContainer } from 'react-state-connect';
import { IRestStore, PatchPayload, RestState } from './rest-store';
export default class RestStoreMock<T extends {
    id: any;
}> extends StateContainer<RestState<T>> implements IRestStore<T> {
    constructor(mock?: T[]);
    post: {
        (payload: Partial<Pick<T, Exclude<keyof T, "id">>>): Promise<T>;
        withArgs: (payload: Partial<Pick<T, Exclude<keyof T, "id">>>) => {
            returns: (response: T) => void;
        };
    };
    patch: {
        (payload: PatchPayload<T>): Promise<T>;
        withArgs: (payload: PatchPayload<T>) => {
            returns: (response: T) => void;
        };
    };
}
